# Uses of Class
javassist.ClassMap

Packages that use ClassMap
Package
Description
javassist
The Javassist Core API.

## Uses of ClassMap in javassist

Methods in javassist with parameters of type ClassMap
Modifier and Type
Method
Description
`static CtConstructor`
CtNewConstructor.`copy(CtConstructor c, CtClass declaring, ClassMap map)`
Creates a copy of a constructor.
`static CtMethod`
CtNewMethod.`copy(CtMethod src, String name, CtClass declaring, ClassMap map)`
Creates a copy of a method with a new name.
`static CtMethod`
CtNewMethod.`copy(CtMethod src, CtClass declaring, ClassMap map)`
Creates a copy of a method.
`void`
CtClass.`replaceClassName(ClassMap map)`
Changes class names appearing in the class file according to the given `map`.
`void`
CtConstructor.`setBody(CtConstructor src, ClassMap map)`
Copies a constructor body from another constructor.
`void`
CtMethod.`setBody(CtMethod src, ClassMap map)`
Copies a method body from another method.
`CtMethod`
CtConstructor.`toMethod(String name, CtClass declaring, ClassMap map)`
Makes a copy of this constructor and converts it into a method.
Constructors in javassist with parameters of type ClassMap
Modifier
Constructor
Description
``
`CtConstructor(CtConstructor src, CtClass declaring, ClassMap map)`
Creates a copy of a `CtConstructor` object.
``
`CtMethod(CtMethod src, CtClass declaring, ClassMap map)`
Creates a copy of a `CtMethod` object.